Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007666OCamlmiddle end (typedtree to clambda)public2017-11-04 20:362018-04-09 15:03
Reporterhhugo 
Assigned Tonojebar 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version4.06.0 
Target VersionFixed in Version 
Summary0007666: miscompilation of the "%raise_with_backtrace" primitive.
DescriptionThe primitive "%raise_with_backtrace" is miscompiled when not fully applied.

Introduced by:
https://github.com/ocaml/ocaml/pull/378 [^]
Steps To Reproduce$cat test.ml
let bt = Printexc.get_raw_backtrace ()
let f = Printexc.raise_with_backtrace Not_found
let y = f bt

$ ocamlc test.ml
File "test.ml", line 1:
Error: Error while linking test.cmo:
The external function `%raise_with_backtrace' is not available
EXIT STATUS 2

$ ocamlopt test.ml
/tmp/camlasmb473fc.s: Assembler messages:
/tmp/camlasmb473fc.s:39: Error: junk `raise_with_backtrace (%rip)' after expression
/tmp/camlasmb473fc.s:39: Error: missing or invalid immediate expression `25raise_with_backtrace@GOTPCREL(%rip)'
/tmp/camlasmb473fc.s:62: Error: junk `raise_with_backtrace (%rip)' after expression
/tmp/camlasmb473fc.s:62: Error: missing or invalid immediate expression `25raise_with_backtrace@GOTPCREL(%rip)'
File "test.ml", line 1:
Error: Assembler error, input left in file /tmp/camlasmb473fc.s
EXIT STATUS 2

TagsNo tags attached.
Attached Files

- Relationships
related to 0007674resolvednojebar Segmentation fault when passing extra arguments to Printexc.raise_with_partial_backtrace 

-  Notes
(0018635)
nojebar (developer)
2017-11-05 08:27

I gave this one a try, see https://github.com/ocaml/ocaml/pull/1465. [^]
(0018806)
nojebar (developer)
2018-01-04 11:54

See https://github.com/ocaml/ocaml/pull/1557 [^] for a more general approach to fixing this and other primitive-related issues.
(0018994)
nojebar (developer)
2018-04-09 15:03

GPR#1557 merged; issue resolved.

- Issue History
Date Modified Username Field Change
2017-11-04 20:36 hhugo New Issue
2017-11-05 08:27 nojebar Note Added: 0018635
2017-11-05 11:00 gasche Status new => confirmed
2018-01-04 11:50 nojebar Relationship added related to 0007674
2018-01-04 11:54 nojebar Note Added: 0018806
2018-04-09 15:03 nojebar Note Added: 0018994
2018-04-09 15:03 nojebar Status confirmed => resolved
2018-04-09 15:03 nojebar Resolution open => fixed
2018-04-09 15:03 nojebar Assigned To => nojebar


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker